#
#
#	  Name: openssh.mk
#		make include file for OpenSSH for La Casita
#
#

#SC_VRM		=	openssh-3.6.1p2
#SC_VRM		=	openssh-3.7.1p2
#SC_VRM		=	openssh-3.8p1
#SC_VRM		=	openssh-3.9p1
#SC_VRM		=	openssh-4.0p1
#SC_VRM		=	openssh-4.4p1
SC_VRM		=	openssh-5.0p1

#SC_URL		=	\
# ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/$(SC_VRM).tar.gz \
# ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/$(SC_VRM).tar.gz.sig
# ftp://ftp3.usa.openbsd.org/pub/OpenBSD/OpenSSH/portable/$(SC_VRM).tar.gz
# ftp://ftp3.usa.openbsd.org/pub/OpenBSD/OpenSSH/portable/$(SC_VRM).tar.gz.sig
# ftp://reflection.ncsa.uiuc.edu/pub/OpenBSD/OpenSSH/portable/
SC_URL		=      http://ftp.bit.nl/mirror/openssh/$(SC_VRM).tar.gz
# http://gulus.USherbrooke.ca/pub/appl/ssh/OpenSSH/portable/$(SC_VRM).tar.gz

#SC_FETCH	=	
#SC_SOURCE	=	
SC_CONFIG	=	./configure --prefix=/usr --disable-nls \
				--sysconfdir=/etc/ssh \
				--sharedstatedir=/usr/share/etc \
				--localstatedir=/var/run/ssh
#SC_BUILD	=	
#SC_FIXUP	=	strip ...
#SC_INSTALL	=	


#Fine tuning of the installation directories: 
#  --bindir=DIR           user executables [EPREFIX/bin]
#  --sbindir=DIR          system admin executables [EPREFIX/sbin]
#  --libexecdir=DIR       program executables [EPREFIX/libexec]
#  --datadir=DIR          read-only architecture-independent data [PREFIX/share]
#  --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
#  --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
#  --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
#  --libdir=DIR           object code libraries [EPREFIX/lib]
#  --includedir=DIR       C header files [PREFIX/include]
#  --oldincludedir=DIR    C header files for non-gcc [/usr/include]
#  --infodir=DIR          info documentation [PREFIX/info]
#  --mandir=DIR           man documentation [PREFIX/man]


# mirrors by country:
# [AR] [AT] [AU] [BE] [BR] [CA] [CH] [CZ] [DE] [DK]
# [EE] [GR] [HU] [ID] [IE] [IT] [JP] [MX] [MY] [NL]
# [NO] [PL] [PT] [SI] [TR] [TW] [UA] [UK] [US] [YU]


# CVSROOT=openssh@anoncvs.at.openbsd.org:/cvs
# export CVSROOT
# CVS_RSH=/usr/bin/ssh
# export CVS_RSH
# cvs get openssh



